from django.http import HttpResponse, HttpResponseRedirect
from django import forms
from django.shortcuts import render_to_response
from models import Employee, Member

import os.path

#def index(request):
#    name = request.GET["name"]
#    print name
#    return HttpResponse(name)

def index(request):
    if request.method == 'GET':
        return render_to_response('index.html')
    else:        
        name = request.POST["name"]
        print name
        return HttpResponse(name)

def edit_employee(request, id):
    try:
        manipulator = Employee.ChangeManipulator(id)
    except Place.DoesNotExist:
        raise Http404

    if request.method == 'POST':
        new_data = request.POST.copy()

        errors = manipulator.get_validation_errors(new_data)

        if not errors:
            manipulator.do_html2python(new_data)
            manipulator.save(new_data)
        return HttpResponseRedirect("/myapp/employee/%s/edit/" % id)
    else:
        errors = {}
        new_data = manipulator.flatten_data()

    form = forms.FormWrapper(manipulator, new_data, errors)
    return render_to_response('employee/edit_form.html', {'form': form})

def upload(request):
    if request.method == 'POST':
        filename = request.FILES["file1"]["filename"]
        content = request.FILES["file1"]["content"]
        path = os.path.join('/tmp', filename)
        file = open(path, mode='w')
        file.write(content)
        file.close()
        return HttpResponse("File Upload Test. filename %s" % filename)
    return render_to_response('upload.html')

def add_cookie(request):
    response = HttpResponse("Cookie Test")
    response.set_cookie("name", "john")
    return response

def check_cookie(request):
    value = request.COOKIES["name"]
    return HttpResponse("Cookie Test value %s" % value)

def post_comment(request):
    if request.method == 'POST':
        if request.session.get('has_commented', False):
            return HttpResponse("You've already commented.")
        #check and save comment
        request.session['has_commented'] = True
        return HttpResponse('Thanks for your comment!')
    return render_to_response('post_comment.html')


def login(request):
    if request.method == 'POST':
        if request.session.test_cookie_worked():
            request.session.delete_test_cookie()
            try:
                m = Member.objects.get(username__exact=request.POST.get('username', None),
                                       password__exact=request.POST.get('password', None))
                request.session['member_id'] = m.id
                return HttpResponse("You're logged in.")
            except Member.DoesNotExist:
                return HttpResponse("Your username and password didn't match.")
        else:
            return HttpResponse("Please enable cookies and try again.")
    request.session.set_test_cookie()
    return render_to_response('login.html')

def do_some(request):
    if request.session.get('member_id'):
        return HttpResponse("You're loggin member.")
    else:
        return HttpResponse("You are not logged in")

def logout(request):
    try:
        del request.session['member_id']
    except KeyError:
        pass
    return HttpResponse("You're logged out.")
