# coding: utf-8
import sys 
from simpletal import simpleTAL, simpleTALES

# コンテキストを作成します。コンテキストはテンプレートで使用します。
context = simpleTALES.Context(allowPythonPath=1)

# コンテキストに文字列をセットします。コンテキストへのセットはキーと値のセットに
# なります。
context.addGlobal("title", "Colours of the rainbow")

# 文字列のリストをセットします。
colours = ["red", "orange", "yellow", "green", "blue", "indigo", "violet"]
# 変数名 rainbowに先ほどの文字列のリストをセットします。
context.addGlobal("rainbow", colours)

# テンプレートファイルを作成します。
templateFile = open("tal_template.html", 'r')

# テンプレートをコンパイルします。
template = simpleTAL.compileHTMLTemplate(templateFile)
templateFile.close()

# テンプレートを展開してレンダリングします。テンプレートの展開時にはコンテキスト
# の値も展開されます。
template.expand(context, sys.stdout, outputEncoding="utf-8")
