from django import template
register = template.Library()

def safe_lower(value):
  return value.lower()
safe_lower.is_safe = False

def safe_cut(value, arg):
  return value.replace(arg, '')
safe_cut.is_safe = True


from django.utils.html import conditional_escape
from django.utils.safestring import mark_safe

def initial_letter_filter(text, autoescape=None):
    first, other = text[0], text[1:]
    if autoescape:
        esc_func = conditional_escape
    else:
        esc_func = lambda x: x
    result = '<strong>%s</strong>%s' % (esc_func(first), esc_func(other))
    return mark_safe(result)
initial_letter_filter.needs_autoescape = True

register.filter('safe_lower', safe_lower)
register.filter('safe_cut', safe_cut)
register.filter('capfirst', initial_letter_filter)
