from django import template

register = template.Library()

def show_results(persons):
    return {'persons': persons}

register.inclusion_tag('results.html')(show_results)

def jump_link(home_link, home_title):
    return {
        'link': home_link,
        'title': home_title,
    }
register.inclusion_tag('link.html')(jump_link)

def jump_link_with_context(context):
    home_link = context.get('home_link', '')
    home_title = context.get('home_title', home_link)
    return {
        'link': home_link,
        'title': home_title
    }
register.inclusion_tag('link.html', takes_context=True)(jump_link_with_context)
