# coding: utf-8
from django.http import HttpResponse
from django.shortcuts import *
from django.template import Context,loader

def index(request, id=None):
  t = loader.get_template('app/index.html')
  c = Context()
  return HttpResponse(t.render(c))

def loader_test(request):
  return render_to_response('app/index.html', {})

def whoareyou(request, id=None):
    t = loader.get_template('app/mynameis.html')
    c = Context({'name':'John'})
    return HttpResponse(t.render(c))

from django.http import HttpResponse
from django.template import Context,loader

class Person():
    pass

def whoareyou_person(request, id=None):
    t = loader.get_template('app/mynameis_person.html')
    person = Person()
    person.name = 'John'
    c = Context({'person': person})
    return HttpResponse(t.render(c))

from django.http import HttpResponse
from django.template import Context,loader

def whoareyouall(request, id=None):
    t = loader.get_template('app/whoareyouall.html')
    person_list= ['John', 'Adrian']
    c = Context({'person_list': person_list})
    return HttpResponse(t.render(c))

def xss_demo(request, template_name):
    """
    http://localhost:8000/app/xss_demo/app/xss_demo_1.html
    http://localhost:8000/app/xss_demo/app/xss_demo_2.html
    http://localhost:8000/app/xss_demo/app/xss_demo_3.html
    http://localhost:8000/app/xss_demo/app/xss_demo_4.html
    """
    c = Context(dict(
      data=u"<script>alert('data!')</script>",
      name=u"<script>alert('name!')</script>",
      user_name=u"<script>alert('user_name!')</script>"))
    return render_to_response(template_name, c)

def escape_demo(request, template_name):
    """
    http://localhost:8000/app/escape_demo/app/escape_demo_1.html
    """
    c = Context()
    return render_to_response(template_name, c)

class Entry:
    def __init__(self, title, body):
        self.title = title
        self.body = body
        
def inheritance_demo(request, template_name):
    """
    http://localhost:8000/app/inheritance_demo/base.html
    http://localhost:8000/app/inheritance_demo/child.html
    """
    c = Context(dict(
      blog_entries=[
        Entry('Entry one', 'This is my first entry.'),
        Entry('Entry two', 'This is my second entry.'),]
      ))
    return render_to_response(template_name, c)

def filter_demo(request, template_name=None):
    """
    http://localhost:8000/app/filter_demo/app/filter_demo_1.html
    http://localhost:8000/app/filter_demo/app/filter_demo_2.html
    http://localhost:8000/app/filter_demo/app/filter_demo_3.html
    """
    c = Context(dict(
      somevariable = 'wAhAhA',
      anothervariable = "wAhAhA<script>alert('!')</script>",
      ))
    return render_to_response(template_name, c)


from datetime import datetime

def tag_demo(request, template_name=None):
    """
    http://localhost:8000/app/tag_demo/app/tag_demo_1.html
    http://localhost:8000/app/tag_demo/app/tag_demo_2.html
    http://localhost:8000/app/tag_demo/app/tag_demo_3.html
    http://localhost:8000/app/tag_demo/app/tag_demo_4.html
    http://localhost:8000/app/tag_demo/app/tag_demo_5.html
    http://localhost:8000/app/tag_demo/app/emtag_demo_1.html # 埋め込みタグの例
    http://localhost:8000/app/tag_demo/app/emtag_demo_2.html
    http://localhost:8000/app/tag_demo/app/emtag_demo_3.html
    """
    class BlogEntry:
      pass
    blog_entry = BlogEntry()
    blog_entry.date_updated = datetime.now()
    class Person:
      def __init__(self, name):
        self.name = name
      def __str__(self):
        return self.name
    c = Context(dict(
      blog_entry = blog_entry,
      your_name = 'yasushi masuda',
      persons = [Person(n) for n in ('John', 'Adrian')],
      home_link = "http://www.python.org/",
      home_title = "Go Pythonic",
      ))
    return render_to_response(template_name, c)

import StringIO
from django.http import HttpResponse
from django.template import loader 
from simpletal import simpleTAL, simpleTALES

def tal_demo(request):
    source, origin = loader.find_template_source('tal_template.html');
    template = simpleTAL.compileHTMLTemplate(source);
    context = simpleTALES.Context(allowPythonPath=1);
    context.addGlobal ("title", "Colours of the rainbow")
    colours = ["red", "orange", "yellow", "green", "blue", "indigo", "violet"]
    context.addGlobal ("rainbow", colours)
    out = StringIO.StringIO();
    template.expand(context, out)
    return HttpResponse(out.getvalue())

from genshi.template import MarkupTemplate
from django.conf import settings

def genshi_demo(request):
    source, origin = loader.find_template_source('genshi_template.html');
    template = MarkupTemplate(source)
    colours = ["red", "orange", "yellow", "green", "blue", "indigo", "violet"]
    doc = template.generate(title="Colours of the rainbow", rainbow=colours)
    return HttpResponse(doc.render('html'))
