import os
from django.conf import settings
from django.template import TemplateDoesNotExist

allow_ext = settings.FILE_ALLOW_EXTENTION

def get_template_sources(template_name, template_dirs=None):
    if not template_dirs:
        template_dirs = settings.TEMPLATE_DIRS
    for template_dir in template_dirs:
        yield os.path.join(template_dir, template_name)

def load_template_source(template_name, template_dirs=None):
    tried = []
    for filepath in get_template_sources(template_name, template_dirs):
        try:
            file_ext = os.path.splitext(filepath)[1]
            if file_ext in allow_ext:
                return (open(filepath).read(), filepath)
            else:
                tried.append(filepath)            
        except IOError:
            tried.append(filepath)
    if tried:
        error_msg = "Tried %s" % tried
    else:
        raise ValueError, "Your TEMPLATE_DIRS setting is empty. Change it to point to at least one template directory."
    raise TemplateDoesNotExist, error_msg
load_template_source.is_usable = True
