# -*- encoding:utf-8 -*-
import ldap
from django.conf import settings
from django.contrib.auth.models import User

class LdapBackend:
    """Authenticate using LDAP
    """
    dn        = settings.LDAP_AUTH_DN
    server    = settings.LDAP_SERVER
    ldap_port = settings.LDAP_PORT
    def authenticate(self, username=None, password=None):
        l = ldap.open(self.server, self.ldap_port)
        try:
            l.simple_bind_s((self.dn % username), password) #LDAPで認証をします
            valid = True
        except ldap.LDAPError, e:
            logging.error('user:%s failed LDAP auth' % username)
            valid = False
        if valid:
            try: 
                user = User.objects.get(username=username) 
            except User.DoesNotExist: #ユーザーがDjangoのユーザーテーブルに無ければ生成します
                user = User(username=username, password='use ladp password') 
                user.is_staff = True #管理インターフェイスを使えるようにするかどうかはアプリケーション次第です
                user.save() 
            return user 
        return None

    def get_user(self, user_id):
        try: 
            return User.objects.get(pk=user_id) 
        except User.DoesNotExist: 
            return None
