"""
Creates the default Site object.
"""

from django.dispatch import dispatcher
from django.db.models import signals
from django.contrib.sites.models import Site

from django.conf import settings
from djblogkit.blog import models as site_app

def update_default_site(app, created_models, verbosity):
    if Site in created_models:
        if verbosity >= 2:
            print "Update default site to development server."
        s = Site.objects.get(pk=settings.SITE_ID)
        s.domain=u"localhost:8000"
        s.name=u"Development Server"
        s.save()
dispatcher.connect(update_default_site, sender=site_app, signal=signals.post_syncdb)
