# -*- encoding:utf-8 -*-
from django.db import models
from datetime import datetime

class Company(models.Model):
    code = models.CharField(u'会社コード', max_length=4, db_index=True, unique=True)
    name = models.CharField(u'会社名', max_length=100)
    create_date = models.DateField(u'作成日', editable=False, default=datetime.now)

    def __unicode__(self):
        """
        Return printable name.
        >>> company = Company.objects.create(code='012', name='Test Company')
        >>> print company
        012:Test Company
        """
        return u'%s:%s' % (self.code, self.name,)
